LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Functions | Variables
driver.c File Reference

### (9c596ec 2015-02-10 14:16:32 +0100)

Implements driver.h. More...

`#include <stdio.h>`
`#include "driver.h"`
`#include "config.h"`
`#include "lirc_log.h"`

Go to the source code of this file.

## Functions
int | default_open (const char *path)
int | default_close (void)
int | default_drvctl (unsigned int fd, void *arg)
int | drv_handle_options (const char *options)

## Variables
struct driver | drv
const char *const | OPTION_FMT = "%32s%64s"
const struct driver const * | curr_driver = &drv

## Detailed Description

Implements driver.h.

Author
  Alec Leamas

Date
  August 2014 GPL2 or later Access and support for driver.h, the global driver.

Definition in file driver.c.

## Variable Documentation

const struct driver const* curr_driver = &drv

Read-only access to drv for client code.

Definition at line 26 of file driver.c.

struct driver drv

The global driver data that drivers etc are accessing. Set by hw_choose_driver().

Definition at line 20 of file driver.c.

const char* const OPTION_FMT = "%32s%64s"

sscanf format to parse option_t.

Definition at line 23 of file driver.c.